Gross profit during the specified time period for given rollup.
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/sequencer-gross-profit \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/sequencer-gross-profit?project=arbitrum"
{ "arbitrum": [ { "date": "2026-02-19", "value": 16229.280196222193 }, { "date": "2026-02-18", "value": 25283.80477421256 }, { "date": "2026-02-17", "value": 21223.083284102755 }, { "date": "2026-02-16", "value": 20473.44813401686 }, { "date": "2026-02-15", "value": 25177.505762314016 } ] }
Project slug (comma-separated for multiple).
arbitrum
base
katana
optimism
unichain
zksync
"arbitrum"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK